## org.eclipse.datatools.sqltools.sqleditor.internal
Class PreferenceConstants

    java.lang.Object
      org.eclipse.datatools.sqltools.sqleditor.internal.PreferenceConstants

    public class PreferenceConstants

extends java.lang.Object

Preference constants used in the SQL Editor preference store.

Author:
  Hui Cao

Field Summary
`static java.lang.String` `AUTO_ACTIVATION_DELAY`
`static java.lang.String` `AUTO_ACTIVATION_TRIGGER`
`static java.lang.String` `EDITOR_PORTABILITY_CHECK_TARGET` A named preference that defines what the target database type is in portability check.
`static java.lang.String` `EDITOR_SHOW_TEXT_HOVER_AFFORDANCE` A named preference that defines whether hint to make hover sticky should be shown.
`static java.lang.String` `ENABLE_AUTO_ACTIVATION`
`static java.lang.String` `EXECUTE_SELECTED_SQL`
`static java.lang.String` `EXECUTE_SQL_BETWEEN_BLANK_LINE`
`static java.lang.String` `EXECUTE_SQL_BETWEEN_DELIMITER`
`static java.lang.String` `EXECUTE_SQL_CURRENT_LINE`
`static java.lang.String` `EXECUTE_SQL_DELIMITER_TYPE`
`static java.lang.String` `EXECUTE_SQL_ERROR_MODE`
`static java.lang.String` `EXPLAIN_SQL_ERROR_MODE`
`static java.lang.String` `EXTERNAL_TOOL_CONFIGURED`
`static java.lang.String` `FAIL_TO_CONNECT_DATABASE`
`static java.lang.String` `INSERT_SINGLE_PROPOSALS_AUTO`
`static java.lang.String` `PAGE_CODEASSIST`
`static java.lang.String` `PAGE_CONNECTIONOPTIONS`
`static java.lang.String` `PAGE_EXPORT`
`static java.lang.String` `PAGE_GENERAL`
`static java.lang.String` `PAGE_LOGGING`
`static java.lang.String` `PAGE_MISC`
`static java.lang.String` `PAGE_PERSPECTIVE`
`static java.lang.String` `PAGE_PLAN`
`static java.lang.String` `PAGE_RESULT`
`static java.lang.String` `PAGE_SQLDEBUG`
`static java.lang.String` `PAGE_SQLEDITOR`
`static java.lang.String` `PAGE_SQLFILE`
`static java.lang.String` `PAGE_TEMPLATE`
`static java.lang.String` `PROMPT_MODE_ALWAYS`
`static java.lang.String` `PROMPT_MODE_NEVER`
`static java.lang.String` `PROMPT_MODE_PROMPT`
`static java.lang.String` `SHOW_DAILOG_FOR_SYNTAX_VALIDATION`
`static java.lang.String` `SHOW_OWNER_OF_TABLE`
`static java.lang.String` `SHOW_SYNTAX_ERROR_DETAIL`
`static java.lang.String` `SHOW_SYSTEM_PROCEDURES`
`static java.lang.String` `SHOW_SYSTEM_TABLES`
`static java.lang.String` `SHOW_SYSTEM_VIEWS`
`static java.lang.String` `SQLEDITOR_CLOSE_BEGIN_END`
`static java.lang.String` `SQLEDITOR_CLOSE_BRACKETS`
`static java.lang.String` `SQLEDITOR_CLOSE_COMMENTS`
`static java.lang.String` `SQLEDITOR_CLOSE_DOUBLE_QUOTES`
`static java.lang.String` `SQLEDITOR_CLOSE_SINGLE_QUOTES`
`static java.lang.String` `SYNTAX_VALIDATION`
`static java.lang.String` `SYNTAX_VALIDATION_MAX_LINE`
`static java.lang.String` `SYNTAX_VALIDATION_MAX_LINE_NUMBER`

Constructor Summary
`PreferenceConstants()`

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PAGE_GENERAL

    public static final java.lang.String PAGE_GENERAL

See Also:
  Constant Field Values

### PAGE_LOGGING

    public static final java.lang.String PAGE_LOGGING

See Also:
  Constant Field Values

### PAGE_TEMPLATE

    public static final java.lang.String PAGE_TEMPLATE

See Also:
  Constant Field Values

### PAGE_PERSPECTIVE

    public static final java.lang.String PAGE_PERSPECTIVE

See Also:
  Constant Field Values

### PAGE_SQLFILE

    public static final java.lang.String PAGE_SQLFILE

See Also:
  Constant Field Values

### PAGE_CODEASSIST

    public static final java.lang.String PAGE_CODEASSIST

See Also:
  Constant Field Values

### PAGE_EXPORT

    public static final java.lang.String PAGE_EXPORT

See Also:
  Constant Field Values

### PAGE_SQLEDITOR

    public static final java.lang.String PAGE_SQLEDITOR

See Also:
  Constant Field Values

### PAGE_SQLDEBUG

    public static final java.lang.String PAGE_SQLDEBUG

See Also:
  Constant Field Values

### PAGE_RESULT

    public static final java.lang.String PAGE_RESULT

See Also:
  Constant Field Values

### PAGE_CONNECTIONOPTIONS

    public static final java.lang.String PAGE_CONNECTIONOPTIONS

See Also:
  Constant Field Values

### PAGE_MISC

    public static final java.lang.String PAGE_MISC

See Also:
  Constant Field Values

### PAGE_PLAN

    public static final java.lang.String PAGE_PLAN

See Also:
  Constant Field Values

### EXECUTE_SQL_ERROR_MODE

    public static final java.lang.String EXECUTE_SQL_ERROR_MODE

See Also:
  Constant Field Values

### EXPLAIN_SQL_ERROR_MODE

    public static final java.lang.String EXPLAIN_SQL_ERROR_MODE

See Also:
  Constant Field Values

### PROMPT_MODE_ALWAYS

    public static final java.lang.String PROMPT_MODE_ALWAYS

See Also:
  Constant Field Values

### PROMPT_MODE_NEVER

    public static final java.lang.String PROMPT_MODE_NEVER

See Also:
  Constant Field Values

### PROMPT_MODE_PROMPT

    public static final java.lang.String PROMPT_MODE_PROMPT

See Also:
  Constant Field Values

### EDITOR_SHOW_TEXT_HOVER_AFFORDANCE

    public static final java.lang.String EDITOR_SHOW_TEXT_HOVER_AFFORDANCE

  A named preference that defines whether hint to make hover sticky should be shown.

  See Also:
    Constant Field Values

### EDITOR_PORTABILITY_CHECK_TARGET

    public static final java.lang.String EDITOR_PORTABILITY_CHECK_TARGET

  A named preference that defines what the target database type is in portability check.

  See Also:
    Constant Field Values

### FAIL_TO_CONNECT_DATABASE

    public static final java.lang.String FAIL_TO_CONNECT_DATABASE

See Also:
  Constant Field Values

### SHOW_SYSTEM_TABLES

    public static final java.lang.String SHOW_SYSTEM_TABLES

See Also:
  Constant Field Values

### SHOW_SYSTEM_PROCEDURES

    public static final java.lang.String SHOW_SYSTEM_PROCEDURES

See Also:
  Constant Field Values

### SHOW_OWNER_OF_TABLE

    public static final java.lang.String SHOW_OWNER_OF_TABLE

See Also:
  Constant Field Values

### SHOW_SYSTEM_VIEWS

    public static final java.lang.String SHOW_SYSTEM_VIEWS

See Also:
  Constant Field Values

### INSERT_SINGLE_PROPOSALS_AUTO

    public static final java.lang.String INSERT_SINGLE_PROPOSALS_AUTO

See Also:
  Constant Field Values

### ENABLE_AUTO_ACTIVATION

    public static final java.lang.String ENABLE_AUTO_ACTIVATION

See Also:
  Constant Field Values

### AUTO_ACTIVATION_DELAY

    public static final java.lang.String AUTO_ACTIVATION_DELAY

See Also:
  Constant Field Values

### AUTO_ACTIVATION_TRIGGER

    public static final java.lang.String AUTO_ACTIVATION_TRIGGER

See Also:
  Constant Field Values

### SYNTAX_VALIDATION

    public static final java.lang.String SYNTAX_VALIDATION

See Also:
  Constant Field Values

### SYNTAX_VALIDATION_MAX_LINE

    public static final java.lang.String SYNTAX_VALIDATION_MAX_LINE

See Also:
  Constant Field Values

### SYNTAX_VALIDATION_MAX_LINE_NUMBER

    public static final java.lang.String SYNTAX_VALIDATION_MAX_LINE_NUMBER

See Also:
  Constant Field Values

### SHOW_DAILOG_FOR_SYNTAX_VALIDATION

    public static final java.lang.String SHOW_DAILOG_FOR_SYNTAX_VALIDATION

See Also:
  Constant Field Values

### SHOW_SYNTAX_ERROR_DETAIL

    public static final java.lang.String SHOW_SYNTAX_ERROR_DETAIL

See Also:
  Constant Field Values

### SQLEDITOR_CLOSE_SINGLE_QUOTES

    public static final java.lang.String SQLEDITOR_CLOSE_SINGLE_QUOTES

See Also:
  Constant Field Values

### SQLEDITOR_CLOSE_DOUBLE_QUOTES

    public static final java.lang.String SQLEDITOR_CLOSE_DOUBLE_QUOTES

See Also:
  Constant Field Values

### SQLEDITOR_CLOSE_BRACKETS

    public static final java.lang.String SQLEDITOR_CLOSE_BRACKETS

See Also:
  Constant Field Values

### SQLEDITOR_CLOSE_COMMENTS

    public static final java.lang.String SQLEDITOR_CLOSE_COMMENTS

See Also:
  Constant Field Values

### SQLEDITOR_CLOSE_BEGIN_END

    public static final java.lang.String SQLEDITOR_CLOSE_BEGIN_END

See Also:
  Constant Field Values

### EXTERNAL_TOOL_CONFIGURED

    public static final java.lang.String EXTERNAL_TOOL_CONFIGURED

See Also:
  Constant Field Values

### EXECUTE_SELECTED_SQL

    public static final java.lang.String EXECUTE_SELECTED_SQL

See Also:
  Constant Field Values

### EXECUTE_SQL_BETWEEN_DELIMITER

    public static final java.lang.String EXECUTE_SQL_BETWEEN_DELIMITER

See Also:
  Constant Field Values

### EXECUTE_SQL_DELIMITER_TYPE

    public static final java.lang.String EXECUTE_SQL_DELIMITER_TYPE

See Also:
  Constant Field Values

### EXECUTE_SQL_CURRENT_LINE

    public static final java.lang.String EXECUTE_SQL_CURRENT_LINE

See Also:
  Constant Field Values

### EXECUTE_SQL_BETWEEN_BLANK_LINE

    public static final java.lang.String EXECUTE_SQL_BETWEEN_BLANK_LINE

See Also:
  Constant Field Values

Constructor Detail

### PreferenceConstants

    public PreferenceConstants()